COS(3)

NAME
cos, cosf, cosl - cosine function

SYNOPSIS
#include <math.h>

double cos(double x);
float cosf(float x);
long double cosl(long double x);

Link with -lm.

DESCRIPTION
The cos() function returns the cosine of x, where x is given in radians.

RETURN VALUE
The cos() function returns a value between -1 and 1.

CONFORMING TO
SVr4, 4.3BSD, C99. The float and long double variants are C99 requirements.

SEE ALSO
acos(3), asin(3), atan(3), atan2(3), ccos(3), sin(3), tan(3)